chcp 65001
echo off

if "%1" == "" (
  if "%2" == "" (
    echo Якщо параметри 2 то перший це де шукати, а другий це назва каталогу. А у разі коли параметр 1 відбувається пошук у поточному каталозі за назвою вказаною в пергому параметрі.
    exit 1
  )
)

if "%2" == "" (
  dir /ad /b /s | find /i %1
  exit 0
) else (
  dir %1 /ad /b /s | find /i %2
  exit 0
)


